﻿using System.Collections.ObjectModel;
using System.Windows.Input;
using System.Windows;
using System.Globalization;
using System.Threading;
using GalaSoft.MvvmLight;
using System;
using GalaSoft.MvvmLight.Command;
using SwitchLanguageDemo.Resources;
using System.ComponentModel;
using SwitchLanguageDemo.Models;

namespace SwitchLanguageDemo.ViewModels {


    public class LoginViewModel : AdvancedViewModelBase {

        public ObservableCollection<EdsLanguage> EdsLangList { get; private set; }

        public LoginViewModel() {

            EdsLangList = new ObservableCollection<EdsLanguage>();
            EdsLangList.Add(new EdsLanguage("zh-Hans", "简体中文", "/Images/flag_China.png"));
            EdsLangList.Add(new EdsLanguage("en-US", "English", "/Images/flag_UnitedStates.png"));
            var lang = Language.ResourceManager;
        }

        public override void Cleanup() {
            base.Cleanup();
        }
    }




}
